Skip to main content
PUT
/
metric-groups
/
{id}
cURL
curl -X PUT https://api.growthbook.io/api/v1/metric-groups/{id} -d '{ ... }' -u secret_abc123DEF456
{
  "metricGroup": {
    "id": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateUpdated": "2023-11-07T05:31:56Z",
    "owner": "<string>",
    "name": "<string>",
    "description": "<string>",
    "tags": [
      "<string>"
    ],
    "projects": [
      "<string>"
    ],
    "metrics": [
      "<string>"
    ],
    "datasource": "<string>",
    "archived": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

id
string
required

Body

application/json
name
string
description
string
tags
string[]
projects
string[]
metrics
string[]
datasource
string
owner
string

The userId or email address of the owner. If an email address is provided, it will be used to look up the userId of the matching organization member. If an ID is provided, it will be validated as existing in the organization.

archived
boolean

Response

200 - application/json

Success

metricGroup
object
required